Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83710 - redhat-config-packages occasionally hangs when installing new packages
Summary: redhat-config-packages occasionally hangs when installing new packages
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-packages
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-07 11:43 UTC by Helge Ingvoldstad
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-10 01:43:05 UTC


Attachments (Terms of Use)

Description Helge Ingvoldstad 2003-02-07 11:43:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
redhat-config-packages occasionally hangs when installing new packages.
It just stops installing and hangs, becoming unresponsive.

The only way to close it is with xkill, and you'll need to manually deleted the
locked .db files in /var/lib/rpm in order to get it functioning again.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.Download any RPM package or add/remove packages in the manager itself.
2.Install it under X with the graphical rpm package manager.
3.Sometimes it will just hang for no apparent reason.
    

Actual Results:  The application sometimes hangs.

Expected Results:  It completes the installation procedure.

Additional info: None.

Comment 1 Jeremy Katz 2003-02-10 01:43:05 UTC
This is probably related to the rhn applet checking the rpmdb during the package
installation and should be fixed with the rawhide versions where everything is
using the same version and will work with concurrent db access.


Note You need to log in before you can comment on or make changes to this bug.